%{?scl:%scl_package eclipse-m2e-workspace}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

# Bootstrap flag to avoid circular dep on takari-lifecycle
%bcond_with bootstrap

%global short_name m2e-workspace

Name:           %{?scl_prefix}eclipse-m2e-workspace
Version:        0.4.0
Release:        11.%{baserelease}%{?dist}
Summary:        M2E CLI workspace resolver
License:        EPL-1.0
URL:            https://www.eclipse.org/m2e/
BuildArch:      noarch

Source0:        http://git.eclipse.org/c/m2e/org.eclipse.m2e.workspace.git/snapshot/%{short_name}-%{version}.tar.bz2
Source1:        http://www.eclipse.org/legal/epl-v10.html

Patch0:         takari.patch

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix_maven}mvn(javax.inject:javax.inject)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-core)
BuildRequires:  %{?scl_prefix_maven}mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  %{?scl_prefix_maven}mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.aether:aether-api:1.1.0)
%if %{with bootstrap}
BuildRequires:  %{?scl_prefix_maven}mvn(org.eclipse.sisu:sisu-maven-plugin)
%else
BuildRequires:  %{?scl_prefix}mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
%endif

%description
Workspace dependency resolver implementation for Maven command line
build.

%package javadoc
Summary:        API documentation for %{pkg_name}

%description javadoc
This package provides %{summary}.


%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{short_name}-%{version}

%patch0 -p1

cp -a %{SOURCE1} .
pushd org.eclipse.m2e.workspace.cli
# Remove support for Maven 3.0.x (requires Sonatype Aether, which is
# not available in Fedora)
%pom_remove_dep org.sonatype.aether
rm src/main/java/org/eclipse/m2e/workspace/internal/Maven30WorkspaceReader.java

%if %{with bootstrap}
# Avoid circular dep on takari-lifecycle when bootstrapping
%pom_remove_plugin io.takari.maven.plugins:takari-lifecycle-plugin
%pom_xpath_set pom:project/pom:packaging bundle
%pom_add_plugin :maven-compiler-plugin '
<configuration>
<source>1.7</source>
<target>1.7</target>
</configuration>'
%pom_add_plugin org.eclipse.sisu:sisu-maven-plugin '
        <executions>
          <execution>
            <id>generate-index</id>
            <goals>
              <goal>main-index</goal><goal>test-index</goal>
            </goals>
          </execution>
        </executions>'
sed -i -e '/>maven-bundle-plugin</i<extensions>true</extensions>' \
       -e '/<supportedProjectTypes/,+2d' \
       -e '/Export-Package/a<Include-Resource>META-INF/sisu/javax.inject.Named=${project.build.outputDirectory}/META-INF/sisu/javax.inject.Named,{maven-resources}</Include-Resource>' pom.xml
%endif

popd
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
pushd org.eclipse.m2e.workspace.cli
%mvn_build
popd
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
pushd org.eclipse.m2e.workspace.cli
%mvn_install
popd
%{?scl:EOFSCL}

%files -f org.eclipse.m2e.workspace.cli/.mfiles
%license epl-v10.html

%files javadoc -f org.eclipse.m2e.workspace.cli/.mfiles-javadoc
%license epl-v10.html


%changelog
* Thu Jun 13 2019 Mat Booth <mat.booth@redhat.com> - 0.4.0-11.1
- Auto SCL-ise package for rh-eclipse collection

* Tue Apr 23 2019 Mat Booth <mat.booth@redhat.com> - 0.4.0-11
- Add a bootstrap mode to break circular deps

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 0.4.0-9
- License update

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Michael Simacek <msimacek@redhat.com> - 0.4.0-4
- Regenerate buildrequires

* Fri Feb 19 2016 Michael Simacek <msimacek@redhat.com> - 0.4.0-3
- Fix FTBFS

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Sopot Cela <scela@redhat.com>- 0.4.0-1
- Upgrade to 0.4.0 for Mars. 1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 Michael Simacek <msimacek@redhat.com> - 0.2.0-1
- Initial packaging